View Issue Details

IDProjectCategoryView StatusLast Update
0016826ScribusUser Interfacepublic2022-08-16 12:56
Reporterscribum Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformLinuxOSSlackwareOS Version15.0
Product Version1.5.8 
Fixed in Version1.5.9.svn 
Summary0016826: F12 shortcut does not affect Align and Distribute palette
DescriptionAfter enabled various "tool windows" from windows menu and dock them for instance on the right side (properties, text properties pages disposition... and other tools windows we need), we'll have less screen for our document, but in some cases we want to review it in a overall view. For instance could be useful looking at an A4 two sided document zoomed at real size... but in a 24" monitor it can't be contained within Scribus work space cause too space is taken up by our tools-rich side panel.
My request regards a feature for hide that side group of docked tools windows and then make visible again just by pressing a shortcut or using a provided button. Let's think about Gimp: if you press TAB key, all tools bars are hidden, and pressing again they appear back. So the user can focus on the document only and review it using all the screen.
Tagslayers
PatchNo

Activities

scribum

2022-07-29 21:58

reporter  

scribus.png (76,113 bytes)   
scribus.png (76,113 bytes)   

ale

2022-07-31 14:56

manager   ~0049733

F12 : - )

scribum

2022-08-02 15:22

reporter   ~0049734

Good!
F12:
toggle display of all palettes (except "Align and Distribute").
I didn't know about that shortcut.

Anyway I need hiding actually all pallettes with no exceptions. if possible.

jghali

2022-08-16 12:54

administrator   ~0049741

F12 should indeed also hide Align and Distribute palette. Going to fix that.

jghali

2022-08-16 12:56

administrator   ~0049742

Fixed

Issue History

Date Modified Username Field Change
2022-07-29 21:58 scribum New Issue
2022-07-29 21:58 scribum Tag Attached: layers
2022-07-29 21:58 scribum File Added: scribus.png
2022-07-31 14:56 ale Note Added: 0049733
2022-08-02 15:22 scribum Note Added: 0049734
2022-08-16 12:54 jghali Note Added: 0049741
2022-08-16 12:54 jghali Summary Toggle hidden/visible side tool windows with a click or key shortcut => F12 shortcut does not affect Align and Distribute palette
2022-08-16 12:56 jghali Assigned To => jghali
2022-08-16 12:56 jghali Status new => resolved
2022-08-16 12:56 jghali Resolution open => fixed
2022-08-16 12:56 jghali Fixed in Version => 1.5.9.svn
2022-08-16 12:56 jghali Note Added: 0049742